%define name python-iview
%define version 0.2
%define release %mkrel 3

Summary:	An alternative frontend to ABC iView
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Video
URL:		https://jeremy.visser.name/2009/08/30/python-iview/
License:	GPL
Source0:	%{name}-%{version}.tar.xz
Source1:	iview-gtk.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:       noarch
BuildRequires:	desktop-file-utils
Requires:	python => 2.6
Requires:	python-beautifulsoup
Requires:	python-simplejson
Requires:	rtmpdump


%description
Python-iView is an alternative frontend to Australian Broadcasting Corporation iView.
This program will let you download the most recent TV programs from Australian
Broadcasting CorporationABC that you can then watch in your favorite video player
such as VLC.


%prep
%setup -q -n %{name}-%{version}


%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} 	--skip-build


install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/iview-gtk.desktop



%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun 
%{clean_menus}


%files
%defattr(-,root,root)
/*


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 0.2-2pclos2010
- update from bzr

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.2-1pclos2010
- create package

